
public class Particle {

	float lifetime;
	float xpos, ypos,zpos;
	float xvelo,yvelo,zvelo;

	final float PARTICLE_SIZE = 0.003f;

	float spread, angle;


	public Particle(){

	}

	public void evolve(){

		xpos += xvelo;
		ypos += yvelo;
		zpos += zvelo;
		yvelo -= 0.00007;

		if(xpos<3.0f && xpos>-3.0f &&
				zpos<3.0f && zpos>-3.0f){
			if(ypos < PARTICLE_SIZE){
				ypos = PARTICLE_SIZE;
				yvelo *= -0.6f;
				lifetime -= 0.01f;
			}

		}

		lifetime -= 0.001f;


		if(lifetime <0.0f){
			xpos = 0.0f;
			ypos = PARTICLE_SIZE;
			zpos = 0.0f;

			spread = (float)Math.random()/300;
			angle = (float)(Math.random()*2*Math.PI);


			xvelo = (float)Math.cos(angle)*spread;
			zvelo = (float)Math.sin(angle)*spread;

			yvelo = (float)Math.random()*5f/100.0f;
			lifetime = (float)Math.random();

		}

	}

}
